Author Topic: patch to build C::B against wx 3.0 with PCH enabled  (Read 10773 times)

Offline BlueHazzard

  • Developer
  • Lives here!
  • *****
  • Posts: 2891
Re: patch to build C::B against wx 3.0 with PCH enabled
« Reply #15 on: February 17, 2014, 04:44:04 pm »
is this now standard in wx3.0 projects? Because i try to compile my sqrat port with wx3.0, but i get wired:
Code: [Select]
sc_consts.cpp|55|error: 'PLUGIN_SDK_VERSION_MAJOR' was not declared in this scope

and there is no special difference between the normal and this project file...

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7065
    • My Best Post
Re: patch to build C::B against wx 3.0 with PCH enabled
« Reply #16 on: February 17, 2014, 05:59:29 pm »
is this now standard in wx3.0 projects? Because i try to compile my sqrat port with wx3.0, but i get wired:
Code: [Select]
sc_consts.cpp|55|error: 'PLUGIN_SDK_VERSION_MAJOR' was not declared in this scope

and there is no special difference between the normal and this project file...


Patch that should fix it.

Code: [Select]
Index: src/sdk/scripting/bindings/sc_consts.cpp
===================================================================
--- src/sdk/scripting/bindings/sc_consts.cpp (revision 9659)
+++ src/sdk/scripting/bindings/sc_consts.cpp (working copy)
@@ -10,6 +10,8 @@
 #include <sdk_precomp.h>
 #ifndef CB_PRECOMP
     #include <wx/string.h>
+   
+    #include <cbplugin.h>
     #include <globals.h>
     #include <settings.h>
 #endif
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org